Kerbal Space Program - Bug #25755

Inventory pop-up stuck after entering map
07/10/2020 02:02 PM - hindwarf

Status: Resolved Start date: 07/10/2020
Severity: Low % Done: 100%
Assignee: Robert.Keech

Category: ul

Target version: 1.12.0

Version: 1.10.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description

When entering map mode while an inventory pop-up is open, the pop-up will permanently display on the screen, even when returning
to the main menu.

To recreate:

-Create craft containing storage unit and a deployable science experiment. Go to launch.
-Right click storage unit and hover over experiment in inventory.

-While pop-up info is displayed, press the "m" key. Popup is now stuck until closing program.

This also occurs for items in kerbal's inventory.

History

#1 - 07/10/2020 02:39 PM - Robert.Keech
- Status changed from New to Confirmed
- Assignee set to Robert.Keech

- % Done changed from 0 to 10

#2 - 07/10/2020 02:39 PM - Robert.Keech
- Category changed from Controls and Ul to Ul
- Expansion deleted (Core Game, Making History)

#4 - 06/24/2021 10:41 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#5 - 08/09/2021 02:23 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This should be resolved now. Please continue to report if this bug shows itself again.
